MailcrateDocs
Journeys

List journey enrollments

GET
/public/journey/{id}/enrollments

Requires the journey:read scope.

Authorization

ApiKey
headerAuthorization<token>

Api-Key mc_... — a workspace API key.

Path Parameters

id*string

Query Parameters

status?string
Value in"active""canceled""completed""exited""failed""waiting-delay""waiting-event"
nodeId?string
contactId?string
limit?integer
Range1 <= value <= 500
Default50
offset?integer
Range0 <= value
Default0
page?integer
Range1 <= value
sortBy?string
sortOrder?string
Value in"ASC""DESC"

Response Body

A page of results.

application/json
  1. response
data*array<>
total*integer

Matches across all pages.

limit*integer
offset*integer

The offset actually applied, also when you paginated with page.

Example Request
curl -X GET 'https://api.mailcrate.io/public/journey/string/enrollments' \  -H 'Authorization: Api-Key <api_key>'
Example Response
{  "data": [    {      "id": "string",      "journeyId": "string",      "status": "active",      "contact": {        "id": "string",        "email": "string"      },      "goalReachedAt": "2019-08-24T14:15:22Z",      "enteredAt": "2019-08-24T14:15:22Z",      "finishedAt": "2019-08-24T14:15:22Z"    }  ],  "total": 0,  "limit": 0,  "offset": 0}